Skip to main content
DELETE
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{uniqueId}
Delete Website
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{uniqueId} \
  --header 'apikey: <api-key>'
{
  "success": true,
  "message": "File and all associated data deleted successfully",
  "data": {
    "uniqueId": "website-uuid-123",
    "deletedFromAgents": true,
    "vectorsDeleted": true,
    "s3FileDeleted": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

uniqueId
string
required

Unique website crawl ID to delete

Response

200 - application/json

Website and all associated data deleted successfully

success
boolean
Example:

true

message
string
Example:

"Website and all associated data deleted successfully"

data
object